%define upstream_name       Perl-Critic
%define upstream_version 1.118

%define _requires_exceptions perl(charnames)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Critique Perl source for style and standards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B::Keywords) >= 1.50.0
BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny) >= 2.0.0
BuildRequires: perl(Email::Address) >= 1.889.0
BuildRequires: perl(English)
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(Exporter) >= 5.630.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::String)
BuildRequires: perl(IPC::Open2) >= 1.0.0
BuildRequires: perl(List::MoreUtils) >= 0.190.0
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Module::Pluggable) >= 3.100.0
BuildRequires: perl(PPI) >= 1.215.0
BuildRequires: perl(PPI::Document) >= 1.215.0
BuildRequires: perl(PPI::Document::File) >= 1.215.0
BuildRequires: perl(PPI::Node) >= 1.215.0
BuildRequires: perl(PPI::Token::Quote::Single) >= 1.215.0
BuildRequires: perl(PPI::Token::Whitespace) >= 1.215.0
BuildRequires: perl(PPIx::Regexp) >= 0.27.0
BuildRequires: perl(PPIx::Utilities::Node) >= 1.1.0
BuildRequires: perl(PPIx::Utilities::Statement) >= 1.1.0
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Pod::Parser)
BuildRequires: perl(Pod::PlainText)
BuildRequires: perl(Pod::Select)
BuildRequires: perl(Pod::Spell) >= 1.0.0
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Readonly) >= 1.30.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(String::Format) >= 1.130.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::Builder) >= 0.920.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords) >= 3.0.0
BuildRequires: perl(base)
BuildRequires: perl(charnames)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.770.0
BuildRequires: perl(warnings)
BuildArch:  noarch

Requires:   perl(Module::Pluggable)
%description
Perl::Critic is an extensible framework for creating and applying coding
standards to Perl source code. Essentially, it is a static source code analysis
engine. Perl::Critic is distributed with a number of Perl::Critic::Policy
modules that attempt to enforce various coding guidelines. Most Policies are
based on Damian Conway's book Perl Best Practices. You can choose and customize
those Polices through the Perl::Critic interface. You can also create new
Policy modules that suit your own tastes.

For a convenient command-line interface to Perl::Critic, see the documentation
for perlcritic. If you want to integrate Perl::Critic with your build process,
Test::Perl::Critic provides a nice interface that is suitable for test scripts.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Perl
%{perl_vendorlib}/Test
%{_bindir}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.118.0-2.mga3
+ Revision: 371651
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 1.118.0-1.mga3
+ Revision: 270335
- update to 1.118

* Thu Jan 05 2012 jquelin <jquelin> 1.117.0-1.mga2
+ Revision: 191337
- update to 1.117

* Wed Jun 15 2011 jquelin <jquelin> 1.116.0-1.mga2
+ Revision: 107322
- update to 1.116

* Sun Apr 03 2011 jquelin <jquelin> 1.115.0-1.mga1
+ Revision: 80151
- update to 1.115

* Mon Mar 28 2011 jquelin <jquelin> 1.114.0-1.mga1
+ Revision: 78383
- update to 1.114

* Thu Feb 17 2011 jquelin <jquelin> 1.113.0-1.mga1
+ Revision: 53220
- update to 1.113

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-2.mga1
+ Revision: 37278
- rebuild
- adding a requires exception

* Mon Jan 24 2011 jquelin <jquelin> 1.111.0-1.mga1
+ Revision: 36497
- mageia rebuild
- imported package perl-Perl-Critic

